#ifndef LTRMEZZANINE_H
#define LTRMEZZANINE_H

#include <QString>
#include <QObject>
#include "LtrModule.h"

class LtrMezzanine {
public:
    QString name() const {return m_name;}
    QString serial() const {return m_serial;}
    unsigned chCnt() const {return m_chCnt;}
    virtual QString unitName() const {return LtrModule::tr("В");}

protected:
    LtrMezzanine(QString name, QString serial, unsigned chCnt) :
        m_name(name), m_serial(serial), m_chCnt(chCnt) {}
private:
    QString m_name;
    QString m_serial;
    unsigned m_chCnt;
};

#endif // LTRMEZZANINE_H
