#include "l502.h"

namespace LQMeas {

    QString L502::typeDeviceName() {
        return "L502";
    }

    L502::L502(const t_x502_devrec info) : X502(info) {

    }


    QString L502::modificationName() const {
        QString retname = name() + QString("-%1-%2").arg(m_devinfo.devflags & X502_DEVFLAGS_BF_PRESENT ? "P" : "X")
                .arg(m_devinfo.devflags & X502_DEVFLAGS_GAL_PRESENT ? "G" : "X");
        if (m_devinfo.devflags & X502_DEVFLAGS_DAC_PRESENT)
            retname += "-D";
        return retname;
    }
}
