#ifndef OUTSIGNALCONFIGCTL_H
#define OUTSIGNALCONFIGCTL_H

#include <QObject>
#include <QHash>
#include "lqmeas/ifaces/out/DevOut.h"

class QLineEdit;
class QCheckBox;
class QWidget;

class OutSignalConfigCtl : QObject {
    Q_OBJECT
public:
    OutSignalConfigCtl(QWidget *parent, LQMeas::DevOut *dac, QList<QCheckBox*> chEnBoxList,
                       QList<QLineEdit *> chSigEditList, bool change_enabled);
    ~OutSignalConfigCtl();

protected:
    bool eventFilter(QObject *obj, QEvent *ev);
private slots:
    void onEnabledChanged(int state);
    void onTextChanged(void);
private:
    void showSigText(int ch);


    int m_dacChCnt;



    QWidget *m_parentWgt;
    LQMeas::DevOut *m_dac;
    QList<QCheckBox *> m_chEnBoxList;
    QList<QLineEdit *> m_chSigEditList;
};

#endif // OUTSIGNALCONFIGCTL_H
