#ifndef LCOMPRESOLVER_H
#define LCOMPRESOLVER_H




#include "../resolver/LQDevResolver.h"

struct IDaqLDevice;


class lcompResolver : public LQDevResolver {
public:

    static lcompResolver* resolver();

    QList<QSharedPointer<LQMeasDevice> > getDevList();

private:
    explicit lcompResolver();

    typedef IDaqLDevice* (*CREATEFUNCPTR)(quint32 Slot);


    CREATEFUNCPTR m_create_func;
    QHash<unsigned, QSharedPointer<LQMeasDevice> >  m_devs;
};

#endif // LCOMPRESOLVER_H
