#ifndef MEASUNIT_H
#define MEASUNIT_H

#include <QString>

namespace LQMeas {
    class Unit {
    public:
        Unit(QString name, double mul = 1) : m_name(name), m_mul(mul) {}

        QString name() const {return m_name;}
        double mul() const {return m_mul;}
    private:
        QString m_name;
        double m_mul;
    };
}

#endif // MEASUNIT_H

